LibreOffice: DataTruncation Exception Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
DataTruncation Exception Referencepublished

reports a DataTruncation warning, on reads, or is thrown as a DataTruncation exception, on writes, when a data value is unexpectedly truncated. More...

`import"DataTruncation.idl";`

Inheritance diagram for DataTruncation:

## Public Attributes
long | Index
| is the index of the parameter or column value. More...
boolean | IsParameter
| is `TRUE` if a parameter value is truncated. More...
boolean | DuringRead
| is `TRUE` if a read was truncated. More...
long | DataSize
| contains the number of bytes of data that should have been transferred. More...
long | TransferSize
| contains the number of bytes of data actually transferred. More...
Public Attributes inherited from SQLException
string | SQLState
| returns a string, which uses the XOPEN SQLState conventions. More...
long | ErrorCode
| returns an integer error code that is specific to each vendor. More...
any | NextException
| returns a chain to the next Exception. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

reports a DataTruncation warning, on reads, or is thrown as a DataTruncation exception, on writes, when a data value is unexpectedly truncated.

The SQL state for a `DataTruncation` is `01004`.

## Member Data Documentation

long DataSize

contains the number of bytes of data that should have been transferred.

This number may be approximate if data conversions were being performed. The value may be `-1` if the size is unknown.

boolean DuringRead

is `TRUE` if a read was truncated.

long Index

is the index of the parameter or column value.

boolean IsParameter

is `TRUE` if a parameter value is truncated.

long TransferSize

contains the number of bytes of data actually transferred.

The value may be `-1` if the size is unknown.

The documentation for this exception was generated from the following file:

- com/sun/star/sdbc/DataTruncation.idl